Skip to main content
POST
/
twitter
/
cashtags
Search Cashtags
curl --request POST \
  --url https://api.twexapi.io/twitter/cashtags \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cashtags": [
    "AAPL",
    "TSLA"
  ],
  "startTime": "1775726400",
  "endTime": "1775727300",
  "sortBy": "Latest",
  "maxItems": 20,
  "mininumLikes": 0,
  "mininumRetweets": 0,
  "mininumReplies": 0,
  "blueVerified": true,
  "verified": true,
  "language": "en",
  "onlyImage": true,
  "onlyVideo": true,
  "onlyQuote": true,
  "onlyReply": true
}
'
{
  "data": [
    {
      "tweet_id": "1803006263529541838",
      "text": "<string>",
      "is_paid_promotion": true,
      "created_at": "Mon Jun 17 03:51:48 +0000 2024",
      "created_at_datetime": "2024-06-17T03:51:48.000Z",
      "bookmark_count": 0,
      "bookmarked": false,
      "community_note": "<string>",
      "edit_tweet_ids": [],
      "editable_until_msecs": "<string>",
      "edits_remaining": "<string>",
      "favorite_count": 0,
      "favorited": false,
      "full_text": "<string>",
      "has_card": false,
      "has_community_notes": false,
      "hashtags": [
        "AI",
        "Python"
      ],
      "cashtags": [
        "$TSLA"
      ],
      "id": "<string>",
      "in_reply_to": "<string>",
      "in_reply_to_user_id": "<string>",
      "in_reply_to_screen_name": "<string>",
      "is_edit_eligible": false,
      "is_quote_status": false,
      "quoted_status_id_str": "<string>",
      "is_translatable": false,
      "lang": "en",
      "media": [],
      "place": "<string>",
      "poll": "<string>",
      "possibly_sensitive": true,
      "possibly_sensitive_editable": true,
      "quote": "<unknown>",
      "quote_count": 0,
      "related_tweets": [],
      "replies": [],
      "reply_count": 0,
      "reply_to": "<unknown>",
      "retweet_count": 0,
      "retweeted_tweet": "<unknown>",
      "thread": [
        "<unknown>"
      ],
      "thumbnail_title": "<string>",
      "thumbnail_url": "<string>",
      "urls": [],
      "user": {
        "id": "1717001045992251392",
        "name": "Cryptoklepto",
        "screen_name": "CK_Cryptoklepto",
        "created_at": "Mon Oct 28 02:32:47 +0000 2024",
        "created_at_datetime": "2024-10-28T02:32:47.000Z",
        "can_dm": false,
        "can_media_tag": false,
        "default_profile": false,
        "default_profile_image": false,
        "description": "",
        "description_urls": [],
        "urls": [
          {
            "url": "https://www.google.com",
            "expanded_url": "https://www.google.com",
            "display_url": "www.google.com"
          }
        ],
        "fast_followers_count": 0,
        "favourites_count": 0,
        "followers_count": 0,
        "following_count": 0,
        "has_custom_timelines": false,
        "is_blue_verified": false,
        "verified_type": "government",
        "is_verified": false,
        "profile_image_shape": "Circle",
        "is_translator": false,
        "listed_count": 0,
        "location": "New York, USA",
        "media_count": 0,
        "normal_followers_count": 0,
        "pinned_tweet_ids": [],
        "possibly_sensitive": false,
        "profile_banner_url": "<string>",
        "profile_image_url": "<string>",
        "protected": false,
        "statuses_count": 0
      },
      "view_count": "<string>",
      "view_count_state": "<string>",
      "status": {},
      "target_count": 123
    }
  ],
  "code": 200,
  "msg": "success"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Query parameters for searching cashtags (stock symbols)

cashtags
string[]

Cashtag to search for (with or without $ prefix)

Example:
["AAPL", "TSLA"]
startTime
string | null

Start time for search in UNIX timestamp

Example:

"1775726400"

endTime
string | null

End time for search in UNIX timestamp

Example:

"1775727300"

sortBy
enum<string> | null
default:Latest

Sort order for results

Available options:
Latest,
Top
maxItems
integer | null
default:20

Maximum number of tweets to return

Required range: 1 <= x <= 1000
mininumLikes
integer | null
default:0

Minimum number of likes required

Required range: x >= 0
mininumRetweets
integer | null
default:0

Minimum number of retweets required

Required range: x >= 0
mininumReplies
integer | null
default:0

Minimum number of replies required

Required range: x >= 0
blueVerified
boolean | null

Filter for blue verified accounts only

verified
boolean | null

Filter for verified accounts only

language
enum<string> | null

Language filter for tweets

Available options:
am,
ar,
bg,
bn,
bo,
ca,
ch,
cs,
da,
de,
dv,
el,
en,
es,
et,
fa,
fi,
fr,
gu,
hi,
ht,
hu,
hy,
in,
is,
it,
iu,
iw,
ja,
ka,
km,
kn,
ko,
lo,
lt,
lv,
ml,
my,
ne,
nl,
no,
or,
pa,
pl,
pt,
ro,
ru,
si,
sk,
sl,
sv,
ta,
te,
th,
tl,
tr,
uk,
ur,
vi,
zh
Example:

"en"

onlyImage
boolean | null

Filter for images only

onlyVideo
boolean | null

Filter for videos only

onlyQuote
boolean | null

Filter for quotes only

onlyReply
boolean | null

Filter for replies only

Response

List of tweets containing the specified cashtag

Search API response

data
TweetModel · object[]
required

List of tweets

code
integer
default:200

HTTP status code

msg
string
default:success

Response message